package com.jay.monitor.data.core.model.serializable;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.base.CommonDataDTO;

/**
 * SQL相关的数据
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 16:31
 */
public class SQLMonitorDTO extends CommonDataDTO {

    public SQLMonitorDTO() {
        super(MsgTypeEnums.SQL);
    }

    /**
     * 执行命令
     */
    private String commandType;
    /**
     * sql编号
     */
    private String sqlId;
    /**
     * 表名称
     */
    private String table;
    /**
     * SQL 语句
     */
    private String sql;

    /**
     * 影响行数
     */
    private Integer affectedRows;
    /**
     * 结果返回
     */
    private Object result;

    public Integer getAffectedRows() {
        return affectedRows;
    }

    public void setAffectedRows(Integer affectedRows) {
        this.affectedRows = affectedRows;
    }

    public String getCommandType() {
        return commandType;
    }

    public void setCommandType(String commandType) {
        this.commandType = commandType;
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

}
